Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class DecoratingDataSource

    java.lang.Object
      org.apache.openjpa.lib.jdbc.DelegatingDataSource
          org.apache.openjpa.lib.jdbc.DecoratingDataSource

All Implemented Interfaces:
  Wrapper, CommonDataSource, DataSource, Closeable

Direct Known Subclasses:
  DistributedDataSource

    public class DecoratingDataSource

extends DelegatingDataSource

Delegating data source that maintains a list of `ConnectionDecorator`s.

Author:
  Abe White

Constructor Summary
`DecoratingDataSource(DataSource ds)` Constructor.

Method Summary
`void` | `addDecorator(ConnectionDecorator decorator)` Add a connection decorator.
`void` | `addDecorators(Collection<ConnectionDecorator> decorators)` Add multiple connection decorators efficiently.
`void` | `clearDecorators()` Clear all decorators.
`Connection` | `getConnection()`
`Connection` | `getConnection(String user, String pass)`
`Collection<ConnectionDecorator>` | `getDecorators()` Return a read-only list of connection decorators in the order they were added.
`boolean` | `removeDecorator(ConnectionDecorator decorator)` Remove a connection decorator.

Methods inherited from class org.apache.openjpa.lib.jdbc.DelegatingDataSource
`appendInfo, close, equals, getDelegate, getInnermostDelegate, getLoginTimeout, getLogWriter, getParentLogger, hashCode, isWrapperFor, setLoginTimeout, setLogWriter, toString, unwrap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DecoratingDataSource

    public DecoratingDataSource(DataSource ds)

  Constructor. Supply wrapped data source.

Method Detail

### getDecorators

    public Collection<ConnectionDecorator> getDecorators()

  Return a read-only list of connection decorators in the order they were added.

### addDecorator

    public void addDecorator(ConnectionDecorator decorator)

  Add a connection decorator.

### addDecorators

    public void addDecorators(Collection<ConnectionDecorator> decorators)

  Add multiple connection decorators efficiently.

### removeDecorator

    public boolean removeDecorator(ConnectionDecorator decorator)

  Remove a connection decorator.

### clearDecorators

    public void clearDecorators()

  Clear all decorators.

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Overrides:
    `getConnection` in class `DelegatingDataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String user,
                                    String pass)
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Overrides:
    `getConnection` in class `DelegatingDataSource`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.